Name:                  libzip
Version:               1.10.1
Release:               2
Summary:               A C library for reading, creating, and modifying zip archives
License:               BSD-3-Clause
URL:                   https://libzip.org/
Source0:               https://libzip.org/download/libzip-%{version}.tar.xz

BuildRequires:         gcc zlib-devel bzip2-devel openssl-devel cmake xz-devel libzstd-devel cmake man-db

Provides:              libzip-tools = %{version}-%{release}
Provides:              libzip-tools%{?_isa} = %{version}-%{release}
Obsoletes:             libzip-tools < %{version}-%{release}

%description
libzip is a C library for reading, creating, and modifying zip archives. Files
can be added from data buffers, files, or compressed data copied directly from
other zip archives. Changes made without closing the archive can be reverted.
The API is documented by man pages.

%package devel
Summary:               Development files for libzip
Requires:              %{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains libraries and header files for developing applications
that use libcap.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1
rm  INSTALL.md
sed -e '/clone-fs-/d' -i regress/CMakeLists.txt

%build
%cmake \
  -DENABLE_COMMONCRYPTO:BOOL=OFF \
  -DENABLE_GNUTLS:BOOL=OFF \
  -DENABLE_MBEDTLS:BOOL=OFF \
  -DENABLE_OPENSSL:BOOL=ON \
  -DENABLE_WINDOWS_CRYPTO:BOOL=OFF \
  -DENABLE_BZIP2:BOOL=ON \
  -DENABLE_LZMA:BOOL=ON \
  -DENABLE_ZSTD:BOOL=ON \
  -DBUILD_TOOLS:BOOL=ON \
  -DBUILD_REGRESS:BOOL=ON \
  -DBUILD_EXAMPLES:BOOL=OFF \
  -DBUILD_DOC:BOOL=ON

make %{?_smp_mflags}

%install
%make_install

%check
make test

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%license LICENSE
%{_bindir}/zip*
%{_libdir}/libzip.so.5*
%{_libdir}/cmake/libzip/*

%files devel 
%defattr(-,root,root)
%{_libdir}/libzip.so
%{_libdir}/pkgconfig/libzip.pc
%{_includedir}/*.h

%files help
%defattr(-,root,root)
%doc *.md AUTHORS THANKS
%{_mandir}/man1/*1*
%{_mandir}/man3/*3*


%changelog
* Fri Mar 29 2024 lilong <lilong@kylinos.cn> - 1.10.1-2
- Replace mandoc dependency with man-db

* Wed Dec 27 2023 liyanan <liyanan61@h-partners.com> - 1.10.1-1
- Update to 1.10.1

* Fri Jul 29 2022 liukuo <liukuo@kylinos.cn> - 1.9.2-1
- Update to 1.9.2

* Thu Apr 21 2022 Yangping <yangping69@h-partners.com> - 1.8.0-1
- Update to 1.8.0

* Tue Nov 12 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.5.1-3
- Package init
